Package org.apache.storm.redis.trident.state

## Class RedisClusterState.Factory

- java.lang.Object
- - org.apache.storm.redis.trident.state.RedisClusterState.Factory

- All Implemented Interfaces:
    `Serializable`, `StateFactory`
  Enclosing class:
    RedisClusterState

      public static class RedisClusterState.Factory
      extends Object
      implements StateFactory

  RedisClusterState.Factory implements StateFactory for Redis Cluster environment.
  See Also:
    `StateFactory`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static org.apache.commons.pool2.impl.GenericObjectPoolConfig<redis.clients.jedis.Connection>` | `DEFAULT_POOL_CONFIG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Factory​(JedisClusterConfig config)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `State` | `makeState​(Map<String,​Object> conf, IMetricsContext metrics, int partitionIndex, int numPartitions)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_POOL_CONFIG

          public static final org.apache.commons.pool2.impl.GenericObjectPoolConfig<redis.clients.jedis.Connection> DEFAULT_POOL_CONFIG

  - ### Constructor Detail

    - #### Factory

          public Factory​(JedisClusterConfig config)

      Constructor.
      Parameters:
        `config` - configuration of JedisCluster

  - ### Method Detail

    - #### makeState

          public State makeState​(Map<String,​Object> conf,
                                 IMetricsContext metrics,
                                 int partitionIndex,
                                 int numPartitions)

      Specified by:
        `makeState` in interface `StateFactory`